import java.applet.Applet;
import java.awt.*;

public class Slide extends Applet {
  private Canvas c;
  private Choice cb;
  private TextArea ta;
  
  private ScrollingPictureWindow pw;
  
  private TextField tf;
  private Button b1, b2, b3;
  private GridBagLayout gbLayout;
  private GridBagConstraints gbConstraints;

  public void init() {
    gbLayout = new GridBagLayout();
    setLayout(gbLayout);

    gbConstraints = new GridBagConstraints();

    ta = new TextArea ( "Text Area", 20, 80);
    
    cb = new Choice();
    
    cb.add("Linden");
    cb.add("Birth");

    tf = new TextField ("TextField");

    b1 = new Button("Button 1");    
    b2 = new Button("Button 2");    
    b3 = new Button("Button 3");

    c = new Canvas();
    c.setBackground (Color.blue);
    c.setSize(10, 5);

    gbConstraints.fill = GridBagConstraints.BOTH;
    addComponent(ta, 0,0,1,3);

    gbConstraints.fill = GridBagConstraints.NONE;
    addComponent(b1, 0,1,2,1);

    addComponent(cb, 2,1,2,1);
    
    gbConstraints.weightx=1000;
    gbConstraints.weighty=1;
    //gbConstraints.fill = GridBagConstraints.BOTH;
    addComponent(b2, 1,1,1,1);

    gbConstraints.weightx=0;
    gbConstraints.weighty=0;
    //gbConstraints.fill = GridBagConstraints.BOTH;
    addComponent(b3, 1,2,1,1);
/*
    gbConstraints.fill = GridBagConstraints.BOTH;
    addComponent(tf, 3,0,2,1);

    gbConstraints.fill = GridBagConstraints.BOTH;
    addComponent(c, 3,2,1,1);
*/
  }
    
  private void addComponent
    (Component c, int row, int column, int width, int height) 
  {
    gbConstraints.gridx=column;
    gbConstraints.gridy=row;

    gbConstraints.gridwidth = width;
    gbConstraints.gridheight = height;

    gbLayout.setConstraints(c, gbConstraints);

    add(c);
  }
}
